<?php
	class FamiliaController extends FamiliaModel {
		private $idUsuario;
		private $nome;
		private $descricao;

		public function __construct($idUsuario, $nome, $descricao){
			$this->idUsuario = $idUsuario;
			$this->nome = $nome;
			$this->descricao = $descricao;
		}

		public function createFamilia(){
			$result = $this->insertFamilia($this->idUsuario, $this->nome, $this->descricao);
			return $result;
		}

		public function updateFamilia($idFamilia){
			$result = $this->editFamilia($idFamilia, $this->idUsuario, $this->nome, $this->descricao);
			return $result;
		}
	}